INTERFACE
SUBROUTINE LATTEX_DNT_AD(KST,KPROF,LDSETTLS,KXLAG,PESGP,PESGM,PXT0,PMOY1X,&
 & PXSI,PXNLT9,PXT1,PXL0,PXL9) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NFLEVG ,NFLSA ,NFLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL ,INTENT(IN) :: LDSETTLS
INTEGER(KIND=JPIM),INTENT(IN) :: KXLAG
REAL(KIND=JPRB) ,INTENT(IN) :: PESGP
REAL(KIND=JPRB) ,INTENT(IN) :: PESGM
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMOY1X(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXSI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXNLT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PXT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PXL0(NPROMA,NFLSA:NFLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PXL9(NPROMA,NFLSA:NFLEN)
END SUBROUTINE LATTEX_DNT_AD
END INTERFACE
